Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://connect.withvayu.com/customers/name/{name} \ --header 'Authorization: Bearer <token>'
{ "customer": { "name": "<string>", "id": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "aliases": [], "contacts": [ { "name": "<string>", "email": "<string>", "title": "<string>", "phone": "<string>", "receiveInvoiceEmail": true } ], "legalName": "<string>", "taxIds": [], "taxId": "<string>", "cloudProviderSettings": { "cloudProvider": "AWS", "cloudProviderMarketplaceId": "<string>", "customerIdentifier": "<string>" }, "externalId": "<string>", "customerErpId": "<string>", "address": { "country": "<string>", "city": "<string>", "addressText": "<string>", "state": "<string>", "postalCode": "<string>" }, "salesForceAccountId": "<string>", "customFields": [ { "vayuCustomFieldName": "<string>", "fieldPath": "<string>", "value": "<unknown>" } ], "subsidiary": "<string>", "totalOutstandingAmount": 123, "openAmount": 123, "overdueAmount": 123, "pendingPaymentAmount": 123, "paidAmount": 123 } }
Use this endpoint to get a specific customer using its name.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
response contains the customer matching the provided name
The customer matching the provided name
Show child attributes